lscpumf(8)

NAME
lscpumf - display information about CPU-measurement facilities

SYNOPSIS
lscpumf [-i|--info]
lscpumf -c|--list-counters|-C|--list-all-counters [-n]
lscpumf -s|--list-sampling-events
lscpumf -h|--help
lscpumf -v|--version

DESCRIPTION
The lscpumf program lists information about CPU-measurement facilities that are supported by Linux on System z.

OPTIONS

-i, --info
    Displays detailed information about available and supported CPU-measurement facilities.

-c, --list-counters
    Lists counters that are provided by the CPU-measurement facility, omitting counters for which the LPAR is not authorized. For counter measurements with the perf program, the raw event identifier is displayed. For Linux version 5.5 and later, the raw event identifier is displayed as <type>:<number>, where type is an integer that the kernel assigns to the CPU Measurement counter facility device driver. For earlier Linux versions the raw event identifier is displayed as r<number>.

-C, --list-all-counters
    Lists all counters that are provided by the CPU-measurement counter facility, regardless of LPAR authorization. To list only those counters for which the LPAR is authorized, use the -c option. For linux version 5.5 and later the raw event identifier is displayed as <type>:<number>, where type is the number the CPU Measurement counter facility device driver was assigned to by the kernel. For earlier linux versions the raw event identifier is displayed as r<number>.

-n, --name
    Display the counter name together with the raw event identifier.

-s, --list-sampling-events
    Lists perf raw events that activate the sampling facility.

-h, --help
    Displays help information, then exits.

-v, --version
    Displays version information, then exits.

SEE ALSO
chcpumf(8)